%global momorel 22

Name: anaconda
Version: 9.2
Release: %{momorel}m
License: GPL
Summary: The Red Hat Linux installation program.
Group: Applications/System
Source: %{name}-%{version}.tar.bz2
Source1: slang-1.4.5.tar.bz2
Source2: newt-0.51.6.tar.gz
Patch0: %{name}-%{version}-embed-newt-slang.patch
Patch1: %{name}-%{version}-dietlibc.patch
Patch2: %{name}-%{version}-momonga4.patch
Patch3: %{name}-%{version}-momonga-script7.patch
Patch4: %{name}-%{version}-momonga-bash.patch
Patch5: %{name}-%{version}-momonga6.patch
Patch99: anaconda-9.2-momonga.ppc.patch
Patch94: anaconda-9.2-momonga5.patch
Patch100: slang-debian-utf8.patch
Patch102: slang-utf8-acs.patch
Patch103: slang-1.4.5-utf8-segv.patch
Patch104: slang-utf8-fix.patch
Patch200: newt-0.51.6-embeded-slang.patch
BuildPreReq: pump-devel >= 0.8.15, kudzu-devel >= 1.1.0, pciutils-devel
BuildPreReq: bzip2-devel, e2fsprogs-devel, python-devel gtk+-devel 
BuildPreReq: rpm-python >= 4.0.4-61m, rpm-devel, gettext >= 0.11
BuildPreReq: module-init-tools-devel, rhpl, booty, libxml2-python
BuildPreReq: zlib-devel, bogl-devel >= 0.1.9, bogl-bterm >= 0.1.9 
BuildPreReq: elfutils-devel, beecrypt-devel newt-devel, slang-devel
BuildRequires: dietlibc
Prereq: chkconfig initscripts
Obsoletes: momonga
Requires: rpm-python >= 4.2-0.61, parted >= 1.6.3-7
Requires: rhpl >= 0.121-3m
Url: http://rhlinux.redhat.com/anaconda/

BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The anaconda package contains the Red Hat Linux installation program.  
These files are of little use on an already installed system.

%package runtime
Summary: Red Hat Linux installer portions needed only for fresh installs.
Group: Applications/System
AutoReqProv: false

%description runtime
The anaconda-runtime package contains parts of the Red Hat Linux
installer which are needed for installing new systems. These files are
used to build Red Hat Linux media sets, but are not meant for use on
already installed systems.

%prep

%setup -q
#%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
#%%patch4 -p1
%patch5 -p1
%patch94 -p1
%ifarch ppc
%patch99 -p1
%endif

# zenbu
find . -type f | xargs perl -p -i -e 's/redhat-config/system-config/g'

### embeded slang
#tar zxf %{SOURCE1}
#pushd slang-1.4.5
#%%patch100 -p1
#%%patch102 -p1
#%%patch103 -p1
#%%patch104 -p1
#popd

### embeded newt
#tar zxf %{SOURCE2}
#pushd newt-0.51.6
#%%patch200 -p1
#popd

%build
### embeded slang
#pushd slang-1.4.5
#perl -p -i -e 's/(ELF_CFLAGS=\"[^\"]*)-O2([^\"]*\".*)/$1'"$RPM_OPT_FLAGS"' $2/gs' configure
#cp /usr/share/libtool/config.{sub,guess} autoconf
#%%configure --includedir=%{_includedir}/slang
#make all
#popd

### embeded newt
#pushd newt-0.51.6
#%%configure 
#make libnewt.a
#popd

make depend
make RPM_OPT_FLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
#strip %{buildroot}/usr/sbin/ddcprobe

strip %{buildroot}/usr/lib/anaconda/*.so

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%doc docs/command-line.txt
%doc docs/install-methods.txt
%doc docs/kickstart-docs.txt
%doc docs/kickstart-docs.html
%doc docs/mediacheck.txt
%doc docs/anaconda-release-notes.txt
%{_bindir}/mini-wm
%{_sbindir}/anaconda
%{_datadir}/anaconda
%{_datadir}/locale/*/*/*
%{_libdir}/anaconda

%files runtime
%defattr(-,root,root)
/usr/lib/anaconda-runtime

%triggerun -- anaconda < 8.0-1
/sbin/chkconfig --del reconfig >/dev/null 2>&1 || :

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Fri Jul 30 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (9.2-22m)
- add patch5
- kde-desktop added into personal desktop class
- kde-software-development added into workstation class

* Thu Jul 29 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (9.2-21m)
- update Requires: rhpl >= 0.121-3m

* Sat Jul 24 2004 mutecat <mutecat@momonga-linux.org>
- (9.2-20m)
- revised anaconda-9.2-momonga5.patch

* Mon Jul 19 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-19m)
- update momonga-script patch

* Mon Jul 19 2004 mutecat <mutecat@momonga-linux.org>
- (9.2-18m)
- Red Hat -> Momonga shuusei.

* Sat Jul 17 2004 mutecat <mutecat@momonga-linux.org>
- (9.2-17m)
- add ppc patch.

* Mon Jul 12 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (kossori)
- move tools directory: comps.xml.momonga, mkmoiso.i586

* Sun Jul 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-16m)
- remove ruby-acl ruby-faq ruby-irc from comps.xml.momonga

* Sun Jul 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-15m)
- update mkmoiso.i586 script

* Sat Jul 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (9.2-14m)
- add comps.xml.momonga and mkmoiso.i586 script

* Thu Jul  8 2004 zunda <zunda at freeshell.org>
- (kossori)
- BuildPreReq: newt-devel, slang-devel

* Tue Jul  4 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (9.2-13m)
- update new comps.xml.core

* Thu Jul  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (9.2-12m)
- use sazanami instead of kochi

* Thu Jun 17 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (9.2-11m)
- change modutils-devel -> module-init-tools-devel

* Mon May 17 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-10m)
- revised momonga script patch to enable UTF-8 locales.

* Sun May 16 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-9m)
- revised dietlibc patch not to use embed slang-newt.

* Sat May 15 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-8m)
- revised momonga patch for terminfo.
- revised momonga script patch for jfs, reiserfs and xfs.

* Thu May  6 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-7m)
- redhat-config -> system-config.

* Sun May  2 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-6m)
- revised script patch.

* Sat May  1 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-5m)
- revised patch.

* Wed Apr 28 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-4m)
- revised momonga script patch.

* Mon Apr 26 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-3m)
- revised momonga patch.

* Thu Mar 11 2004 Toru Hoshina <t@momonga-linux.org>
- (9.2-1m)
- import from FC1.

* Tue Oct  8 2002 Jeremy Katz <katzj@redhat.com>
- back to mainstream rpm instead of rpm404

* Mon Sep  9 2002 Jeremy Katz <katzj@redhat.com>
- can't buildrequire dietlibc and kernel-pcmcia-cs since they don't always
  exist

* Wed Aug 21 2002 Jeremy Katz <katzj@redhat.com>
- added URL

* Thu May 23 2002 Jeremy Katz <katzj@redhat.com>
- add require and buildrequire on rhpl

* Tue Apr 02 2002 Michael Fulbright <msf@redhat.com>
- added some more docs

* Fri Feb 22 2002 Jeremy Katz <katzj@redhat.com>
- buildrequire kernel-pcmcia-cs as we've sucked the libs the loader needs 
  to there now

* Thu Feb 07 2002 Michael Fulbright <msf@redhat.com>
- goodbye reconfig

* Thu Jan 31 2002 Jeremy Katz <katzj@redhat.com>
- update the BuildRequires a bit

* Fri Jan  4 2002 Jeremy Katz <katzj@redhat.com>
- ddcprobe is now done from kudzu

* Wed Jul 18 2001 Jeremy Katz <katzj@redhat.com>
- own /usr/lib/anaconda and /usr/share/anaconda

* Fri Jan 12 2001 Matt Wilson <msw@redhat.com>
- sync text with specspo

* Thu Aug 10 2000 Matt Wilson <msw@redhat.com>
- build on alpha again now that I've fixed the stubs

* Wed Aug  9 2000 Michael Fulbright <drmike@redhat.com>
- new build

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- allow also subvendorid and subdeviceid in trimpcitable

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- moved init script for reconfig mode to /etc/init.d/reconfig
- move the initscript back to /etc/rc.d/init.d
- Prereq: /etc/init.d

* Thu Feb 03 2000 Michael Fulbright <drmike@redhat.com>
- strip files
- add lang-table to file list

* Wed Jan 05 2000 Michael Fulbright <drmike@redhat.com>
- added requirement for rpm-python

* Mon Dec 06 1999 Michael Fulbright <drmike@redhat.com>
- rename to 'anaconda' instead of 'anaconda-reconfig'

* Fri Dec 03 1999 Michael Fulbright <drmike@redhat.com>
- remove ddcprobe since we don't do X configuration in reconfig now

* Tue Nov 30 1999 Michael Fulbright <drmike@redhat.com>
- first try at packaging reconfiguration tool

